Package com.smartgwt.client.ai

# Class DataQuestionStepResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.DataQuestionStepResult

All Implemented Interfaces:
  `HasHandlers`

public class DataQuestionStepResult extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataQuestionStepResult()`
  `DataQuestionStepResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataQuestionStepResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionStep`
  `getStep()`
  `DataQuestionStepResult`
  `setStep(DataQuestionStep step)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataQuestionStepResult

    public DataQuestionStepResult()

  - ### DataQuestionStepResult

    public DataQuestionStepResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DataQuestionStepResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setStep

    public DataQuestionStepResult setStep(DataQuestionStep step)
    Parameters:
      `step` - New step value. Default value is null
    Returns:
      `DataQuestionStepResult` instance, for chaining setter calls

  - ### getStep

    public DataQuestionStep getStep()
    Returns:
      Current step value. Default value is null